---
api: 'Business API'
---

# Invite a new member to your business

Invite a new member to your business account.

When you invite a new team member to your business account, an invitation is sent to their email address that you provided in this request.
To join your business account, the new team member has to accept this invitation.

For more information, see the guides: [Manage team members](/docs/guides/manage-accounts/teams/manage-team-members).

## Endpoint

POST `/team-members`

## Request body

### Attributes

- `email` (string)
    The email address of the invited member.
- `role_id` (string)
    The ID of the [role](/docs/api/business#get-roles) to assign to the new member.

## Returns

### 201

Information about the new member

#### Response attributes

- `email` (string)
    The email address of the invited member.
- `id` (string)
    The ID of the invited member.
- `role_id` (string)
    The ID of the [role](/docs/api/business#get-roles) assigned to the member.
- `created_at` (string)
    The date and time when the member was created.
- `updated_at` (string)
    The date and time when the member was last updated.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad request, for example, invalid role ID or invalid email address provided |
| 401 | Unauthorized  Returned when the request was not fulfilled because authentication has failed or has not been provided |
| 403 | Action forbidden  Returned, for example, when you don't have permissions necessary to invite team members |
| 422 | Team member with the given email cannot be invited |
